function data = nacti(source_file)
%nacten vstupnch dat ze souboru
%MJD , MJD [sec] , sklon roviny drahy , rektascenze vyst. uzlu , excentricita , argument perigea , stredni anomalie v epose data , stredni denni pohyb (otocky za den)

fid = fopen(source_file);
eof_status=0;
data = [];

fid = fopen(source_file);

while(eof_status==0)
    line = fgets(fid);
    dat = sscanf(line,'%f');
    
    if(dat(1) == 1)
        data(end + 1,1) = str2num(line(19:20));
        data(end    ,2) = str2num(line(21:32));
    end
    
    
    if(dat(1) == 2)
        data(end,3) = dat(3);
        data(end,4) = dat(4);
        data(end,5) = dat(5) / 10000000;
        data(end,6) = dat(6);
        data(end,7) = dat(7);
        data(end,8) = dat(8);
    end
    

eof_status = feof(fid);
end

fclose(fid);

[n,pom] = size(data); %pocet meren ~

for i=1:n
    if(data(i,1) > 80) %prevod roku RR na RRRR
        data(i,1) = data(i,1) + 1900;
    else
        data(i,1) = data(i,1) + 2000;
    end
    
    data(i,1) = civil2mjd([data(i,1),1,data(i,2)]); %prevod datumu na MJD
    
end

%data(:,6)

X = 0;
for i=1:n-1
    if(abs((data(i+1,6) - data(i,6))) > 180)
        X = i;
    end
end

if(X ~= 0)
    data(1:X,6) = data(1:X,6) + 360;
end


%data(:,6)

%data = [data(:,1) data(:,3:end)];

ro = 180/pi;

%MJD -> sec
data(:,2) = data(:,1) .* 86400; %24 * 3600 = 86400
data(:,2) = data(:,2) - data(1,2);

%stredn pohyb -> otocky za sec
data(:,8) = 2 * pi * data(:,8) ./ 86400;

%OMEGA -> rad
data(:,4) = data(:,4) ./ ro;

%i -> rad
data(:,3) = data(:,3) ./ ro;
